
Audacious - Bug #483

audacious skips songs

November 30, 2014 03:23 - il lumilore

Status: Rejected Start date: November 30, 2014

Priority: Major Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version:    

Description

When shuffle is off and the currently playing song runs to the end, the next song or two is sometimes skipped. It started happening in

3.4 audacious and in the newest release as well. I tried gdb and it sometimes says that vorbis seek fails, but that doesn't seem

related as that message doesn't always appear when songs are skipped, and the skipping happens with mp3 files. It does not

happen when pressing next manually.

opensuse 3.2 x64, audacious 3.5.2

$ env LD_LIBRARY_PATH=../lib64/ gdb ./audacious

GNU gdb (GDB; openSUSE 13.2) 7.8

Copyright (C) 2014 Free Software Foundation, Inc.

License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>

This is free software: you are free to change and redistribute it.

There is NO WARRANTY, to the extent permitted by law.  Type "show copying"

and "show warranty" for details.

This GDB was configured as "x86_64-suse-linux".

Type "show configuration" for configuration details.

For bug reporting instructions, please see:

<http://bugs.opensuse.org/&gt;.

Find the GDB manual and other documentation resources online at:

<http://www.gnu.org/software/gdb/documentation/&gt;.

For help, type "help".

Type "apropos word" to search for commands related to "word"...

warning: /etc/gdbinit.d/gdb-heap.py: No such file or directory

Reading symbols from ./audacious...done.

(gdb) run

Starting program: /home/luke/temp/audacious/bin/audacious

Got object file from memory but can't read symbols: File truncated.

Missing separate debuginfos, use: zypper install glibc-debuginfo-2.19-16.2.5.x86_64

[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib64/libthread_db.so.1".

[New Thread 0x7fffec4f1700 (LWP 1315)]

[New Thread 0x7fffebcf0700 (LWP 1316)]

[New Thread 0x7fffea21d700 (LWP 1317)]

[New Thread 0x7fffe3bdd700 (LWP 1318)]

[Thread 0x7fffe3bdd700 (LWP 1318) exited]

[New Thread 0x7fffe3bdd700 (LWP 1319)]

[New Thread 0x7fffe33dc700 (LWP 1320)]

[New Thread 0x7fffe2bdb700 (LWP 1321)]

(audacious:1311): GLib-GObject-WARNING **: The property GtkSettings:gtk-menu-images is deprecated and shouldn't be used

anymore. It will be removed in a future version.

[New Thread 0x7fffdbfff700 (LWP 1324)]

[New Thread 0x7fffd77fd700 (LWP 1325)]

[Thread 0x7fffdbfff700 (LWP 1324) exited]

[New Thread 0x7fffdbfff700 (LWP 1326)]

[Thread 0x7fffd77fd700 (LWP 1325) exited]

[New Thread 0x7fffd77fd700 (LWP 1327)]

vorbis: seek failed

[Thread 0x7fffdbfff700 (LWP 1326) exited]

[New Thread 0x7fffdbfff700 (LWP 1328)]

March 13, 2024 1/8

http://gnu.org/licenses/gpl.html
http://bugs.opensuse.org/&gt;
http://www.gnu.org/software/gdb/documentation/&gt;


[Thread 0x7fffd77fd700 (LWP 1327) exited]

[New Thread 0x7fffd77fd700 (LWP 1329)]

[Thread 0x7fffebcf0700 (LWP 1316) exited]

[Thread 0x7fffdbfff700 (LWP 1328) exited]

[Thread 0x7fffd77fd700 (LWP 1329) exited]

[Thread 0x7fffe3bdd700 (LWP 1319) exited]

[Thread 0x7fffe33dc700 (LWP 1320) exited]

[Thread 0x7fffe2bdb700 (LWP 1321) exited]

[Thread 0x7fffea21d700 (LWP 1317) exited]

[Thread 0x7ffff7fae9c0 (LWP 1311) exited]

[Inferior 1 (process 1311) exited normally]

Missing separate debuginfos, use: zypper install fontconfig-debuginfo-2.11.1-2.1.2.x86_64

gdk-pixbuf-loader-rsvg-debuginfo-2.40.5-1.1.x86_64 gvfs-debuginfo-1.22.1-1.1.x86_64 libFLAC8-debuginfo-1.3.0-4.1.2.x86_64

libX11-6-debuginfo-1.6.2-5.1.2.x86_64 libXau6-debuginfo-1.0.8-5.1.2.x86_64 libXcomposite1-debuginfo-0.4.4-9.1.2.x86_64

libXcursor1-debuginfo-1.1.14-5.1.2.x86_64 libXdamage1-debuginfo-1.1.4-8.1.2.x86_64 libXext6-debuginfo-1.3.3-2.1.2.x86_64

libXfixes3-debuginfo-5.0.1-4.1.2.x86_64 libXi6-debuginfo-1.7.4-2.1.2.x86_64 libXinerama1-debuginfo-1.1.3-4.1.2.x86_64

libXrandr2-debuginfo-1.4.2-4.1.2.x86_64 libXrender1-debuginfo-0.9.8-4.1.2.x86_64 libatk-1_0-0-debuginfo-2.14.0-1.2.x86_64

libatk-bridge-2_0-0-debuginfo-2.14.1-1.1.x86_64 libatspi0-debuginfo-2.14.0-1.1.x86_64

libcairo-gobject2-debuginfo-1.12.16-7.1.4.x86_64 libcairo2-debuginfo-1.12.16-7.1.4.x86_64

libcanberra-gtk3-0-debuginfo-0.30-8.1.4.x86_64 libcanberra-gtk3-module-debuginfo-0.30-8.1.4.x86_64

libcanberra0-debuginfo-0.30-8.1.4.x86_64 libcroco-0_6-3-debuginfo-0.6.8-7.1.3.x86_64 libdbus-1-3-debuginfo-1.8.10-4.1.x86_64

libexpat1-debuginfo-2.1.0-14.1.2.x86_64 libffi4-debuginfo-4.8.3+r212056-2.2.4.x86_64

libgcc_s1-debuginfo-4.8.3+r212056-2.2.4.x86_64 libgcrypt20-debuginfo-1.6.1-8.3.1.x86_64

libgdk_pixbuf-2_0-0-debuginfo-2.31.1-1.3.x86_64 libgio-2_0-0-debuginfo-2.42.0-2.1.x86_64

libglib-2_0-0-debuginfo-2.42.0-2.1.x86_64 libgmodule-2_0-0-debuginfo-2.42.0-2.1.x86_64

libgobject-2_0-0-debuginfo-2.42.0-2.1.x86_64 libgpg-error0-debuginfo-1.15-1.2.x86_64 libgraphite2-3-debuginfo-1.2.4-2.2.1.x86_64

libgtk-3-0-debuginfo-3.14.4-4.1.x86_64 libharfbuzz0-debuginfo-0.9.35-2.1.3.x86_64 libjson-c2-debuginfo-0.12-1.1.x86_64

libltdl7-debuginfo-2.4.2-15.2.2.x86_64 liblzma5-debuginfo-5.0.7-1.1.x86_64 libogg0-debuginfo-1.3.1-2.1.2.x86_64

libopenssl1_0_0-debuginfo-1.0.1j-2.10.1.x86_64 libpango-1_0-0-debuginfo-1.36.8-1.2.x86_64 libpcre1-debuginfo-8.35-3.2.3.x86_64

libpixman-1-0-debuginfo-0.32.6-2.1.2.x86_64 libpulse0-debuginfo-5.0-4.5.1.x86_64 librsvg-2-2-debuginfo-2.40.5-1.1.x86_64

libselinux1-debuginfo-2.3-2.2.5.x86_64 libsndfile1-debuginfo-1.0.25-19.1.2.x86_64

libspeex1-debuginfo-1.1.999_1.2rc1-23.1.2.x86_64 libudev1-debuginfo-210-25.5.4.x86_64 libvorbis0-debuginfo-1.3.4-3.1.4.x86_64

libvorbisenc2-debuginfo-1.3.4-3.1.4.x86_64 libvorbisfile3-debuginfo-1.3.4-3.1.4.x86_64

libwayland-client0-debuginfo-1.6.0-1.1.x86_64 libwayland-cursor0-debuginfo-1.6.0-1.1.x86_64

libxcb-render0-debuginfo-1.11-2.1.2.x86_64 libxcb-shm0-debuginfo-1.11-2.1.2.x86_64 libxcb1-debuginfo-1.11-2.1.2.x86_64

libxkbcommon-0_4_3-debuginfo-0.4.3-1.1.x86_64 libxml2-2-debuginfo-2.9.1-7.2.1.x86_64 libz1-debuginfo-1.2.8-5.1.2.x86_64

systemd-debuginfo-210-25.5.4.x86_64

History

#1 - November 30, 2014 04:02 - John Lindgren

Attach the output of "audacious -V" when the skipping happens.

#2 - November 30, 2014 04:31 - il lumilore

VFS: <0x7f9cb8001800> seek to 4161202 from current

VFS: <0x7f9cb8001800> tell = 4292451

probe.c:160 [file_find_decoder]: Probing

file:///home/ill/Music/Buddha-Bar%20%28CD%20Series%29/Buddha%20Bar%20-%20Living%20Theater%20Vol.2%20%282001%29/09-%20Fuman

%20Freak%20-%20New%20York%20City.mp3.

probe.c:119 [probe_by_scheme]: Probing by scheme.

probe.c:130 [probe_by_extension]: Probing by extension.

probe.c:108 [probe_func_fast]: Guessing MPG123 Plugin.

probe.c:188 [file_find_decoder]: VFS: <0x7f9cb8001800> close

Probe succeeded: MPG123 Plugin

VFS: <0x1b26060> open (mode r)

file:///home/ill/Music/Buddha-Bar%20%28CD%20Series%29/Buddha%20Bar%20-%20Living%20Theater%20Vol.2%20%282001%29/09-%20Fuman

%20Freak%20-%20New%20York%20City.mp3

VFS: <0x1b26060> size = 3369307

VFS: <0x1b26060> seek to 0 from beginning

id3/id3v24.c:160 [validate_header]: Found ID3v2 header:

id3/id3v24.c:161 [validate_header]:  magic = ID3

id3/id3v24.c:162 [validate_header]:  version = 3

id3/id3v24.c:163 [validate_header]:  revision = 0

id3/id3v24.c:164 [validate_header]:  flags = 0

id3/id3v24.c:165 [validate_header]:  size = 4598

id3/id3v24.c:265 [read_header]: Offset = 0, header size = 10, data size = 4598, footer size = 0.

tag_module.c:50 [find_tag_module]: Module ID3v2.3/4 accepted file.

probe.c:160 [file_find_decoder]: Probing
file:///home/ill/Music/Buddha-Bar%20%28CD%20Series%29/Buddha%20Bar%20-%20Living%20Theater%20Vol.2%20%282001%29/09-%20Fuman

%20Freak%20-%20New%20York%20City.mp3.

probe.c:119 [probe_by_scheme]: Probing by scheme.

id3/id3v24.c:160 [validate_header]: probe.c:130 [probe_by_extension]: Probing by extension.

Found ID3v2 header:

id3/id3v24.c:161 [validate_header]:  magic = ID3

id3/id3v24.c:162 [validate_header]:  version = 3

id3/id3v24.c:163 [validate_header]:  revision = 0

id3/id3v24.c:164 [validate_header]:  flags = 0

id3/id3v24.c:165 [validate_header]:  size = 4598

id3/id3v24.c:265 [read_header]: Offset = 0, header size = 10, data size = 4598, footer size = 0.

id3/id3v24.c:311 [read_frame]: Found frame:

id3/id3v24.c:312 [read_frame]:  key = TIT2

id3/id3v24.c:313 [read_frame]:  size = 14

id3/id3v24.c:314 [read_frame]:  flags = 0

id3/id3v24.c:342 [read_frame]: Data size = 14.

id3/id3v24.c:311 [read_frame]: Found frame:

id3/id3v24.c:312 [read_frame]:  key = TRCK

id3/id3v24.c:313 [read_frame]:  size = 2

id3/id3v24.c:314 [read_frame]:  flags = 0

id3/id3v24.c:342 [read_frame]: Data size = 2.

id3/id3v24.c:311 [read_frame]: Found frame:

id3/id3v24.c:312 [read_frame]:  key = TYER

id3/id3v24.c:313 [read_frame]:  size = 5

id3/id3v24.c:314 [read_frame]:  flags = 0

id3/id3v24.c:342 [read_frame]: Data size = 5.

id3/id3v24.c:311 [read_frame]: Found frame:

id3/id3v24.c:312 [read_frame]:  key = TPUB

id3/id3v24.c:313 [read_frame]:  size = 9

id3/id3v24.c:314 [read_frame]:  flags = 0

id3/id3v24.c:342 [read_frame]: Data size = 9.

id3/id3v24.c:311 [read_frame]: Found frame:

id3/id3v24.c:312 [read_frame]:  key = TCON

id3/id3v24.c:313 [read_frame]:  size = 6

id3/id3v24.c:314 [read_frame]:  flags = 0

id3/id3v24.c:342 [read_frame]: Data size = 6.

id3/id3v24.c:311 [read_frame]: Found frame:

id3/id3v24.c:312 [read_frame]:  key = TALB

id3/id3v24.c:313 [read_frame]:  size = 33

id3/id3v24.c:314 [read_frame]:  flags = 0

id3/id3v24.c:342 [read_frame]: probe.c:108 [probe_func_fast]: Guessing MPG123 Plugin.

probe.c:188 [file_find_decoder]: Probe succeeded: MPG123 Plugin

Data size = 33.

id3/id3v24.c:311 [read_frame]: Found frame:

id3/id3v24.c:312 [read_frame]:  key = PRIV

id3/id3v24.c:313 [read_frame]:  size = 39

id3/id3v24.c:314 [read_frame]:  flags = 0

id3/id3v24.c:342 [read_frame]: Data size = 39.

id3/id3v24.c:311 [read_frame]: Found frame:

id3/id3v24.c:312 [read_frame]:  key = PRIV

id3/id3v24.c:313 [read_frame]:  size = 41

id3/id3v24.c:314 [read_frame]:  flags = 0

id3/id3v24.c:342 [read_frame]: Data size = 41.

id3/id3v24.c:311 [read_frame]: Found frame:

id3/id3v24.c:312 [read_frame]:  key = PRIV

id3/id3v24.c:313 [read_frame]:  size = 31

id3/id3v24.c:314 [read_frame]:  flags = 0

id3/id3v24.c:342 [read_frame]: Data size = 31.

id3/id3v24.c:311 [read_frame]: Found frame:

id3/id3v24.c:312 [read_frame]:  key = PRIV

id3/id3v24.c:313 [read_frame]:  size = 122

id3/id3v24.c:314 [read_frame]:  flags = 0

id3/id3v24.c:342 [read_frame]: Data size = 122.

id3/id3v24.c:311 [read_frame]: VFS: (last message repeated 2 times)

VFS: <0x1b26f60> open (mode r)

file:///home/ill/Music/Buddha-Bar%20%28CD%20Series%29/Buddha%20Bar%20-%20Living%20Theater%20Vol.2%20%282001%29/09-%20Fuman

%20Freak%20-%20New%20York%20City.mp3

Found frame:

id3/id3v24.c:312 [read_frame]:  key = TPE2

mpg123.c:270 [mpg123_playback_worker]: playback worker started for

file:///home/ill/Music/Buddha-Bar%20%28CD%20Series%29/Buddha%20Bar%20-%20Living%20Theater%20Vol.2%20%282001%29/09-%20Fuman

%20Freak%20-%20New%20York%20City.mp3

mpg123.c:273 [mpg123_playback_worker]: Checking for streaming ...

id3/id3v24.c:313 [read_frame]:  size = 16

id3/id3v24.c:314 [read_frame]:  flags = 0
id3/id3v24.c:342 [read_frame]: Data size = 16.

VFS: <0x1b26f60> size = 3369307

id3/id3v24.c:311 [read_frame]: Found frame:

id3/id3v24.c:312 [read_frame]:  key = PRIV

id3/id3v24.c:313 [read_frame]:  size = 34

id3/id3v24.c:314 [read_frame]:  flags = 0

id3/id3v24.c:342 [read_frame]: Data size = 34.

id3/id3v24.c:311 [read_frame]: Found frame:

id3/id3v24.c:312 [read_frame]:  key = PRIV

id3/id3v24.c:313 [read_frame]:  size = 39

id3/id3v24.c:314 [read_frame]:  flags = 0

id3/id3v24.c:342 [read_frame]: Data size = 39.

id3/id3v24.c:311 [read_frame]: Found frame:

id3/id3v24.c:312 [read_frame]:  key = PRIV

id3/id3v24.c:313 [read_frame]:  size = 20

id3/id3v24.c:314 [read_frame]:  flags = 0

id3/id3v24.c:342 [read_frame]: Data size = 20.

id3/id3v24.c:311 [read_frame]: Found frame:

id3/id3v24.c:312 [read_frame]:  key = TCOM

id3/id3v24.c:313 [read_frame]:  size = 33

id3/id3v24.c:314 [read_frame]:  flags = 0

id3/id3v24.c:342 [read_frame]: Data size = 33.

id3/id3v24.c:311 [read_frame]: Found frame:

id3/id3v24.c:312 [read_frame]:  key = TPE1

id3/id3v24.c:313 [read_frame]:  size = 12

id3/id3v24.c:314 [read_frame]:  flags = 0

id3/id3v24.c:342 [read_frame]: Data size = 12.

VFS: <0x1b26060> close

VFS: <0x1b26f60> seek to 0 from end

VFS: <0x1b26f60> tell = 3369307

VFS: <0x1b26f60> seek to 128 from end

VFS: <0x1b26f60> tell = 3369179

VFS: <0x1b26f60> seek to 0 from beginning

VFS: <0x1b26f60> tell = 0

VFS: <0x1b26f60> seek to 413 from current

VFS: <0x1b26f60> tell = 5025

VFS: <0x1b26f60> seek to -417 from current

VFS: <0x1b26f60> tell = 4612

effect.c:70 [effect_start]: Starting effects.

output.c:383 [output_set_replaygain_info]: Replay Gain info:

output.c:384 [output_set_replaygain_info]:  album gain: 1.000000 dB

output.c:385 [output_set_replaygain_info]:  album peak: 1.000000

output.c:386 [output_set_replaygain_info]:  track gain: 1.000000 dB

output.c:387 [output_set_replaygain_info]:  track peak: 1.000000

VFS: <0x1b26f60> seek to 3350361 from current

VFS: <0x1b26f60> tell = 3371687

probe.c:160 [file_find_decoder]: Probing file:///home/ill/Music/Buddha-Bar%20%28CD%20Series%29/Buddha%20Bar%20

%20Living%20Theater%20Vol.2%20%282001%29/10-%20Paris%20All%20Stars%20-%20Voulez%20Vous.mp3.

probe.c:119 [probe_by_scheme]: Probing by scheme.

probe.c:130 [probe_by_extension]: Probing by extension.

probe.c:108 [probe_func_fast]: VFS: <0x1b26f60> close

Guessing MPG123 Plugin.

probe.c:188 [file_find_decoder]: Probe succeeded: MPG123 Plugin

VFS: <0x1b25800> open (mode r)

file:///home/ill/Music/Buddha-Bar%20%28CD%20Series%29/Buddha%20Bar%20-%20Living%20Theater%20Vol.2%20%282001%29/10-%20Paris%2

0All%20Stars%20-%20Voulez%20Vous.mp3

probe.c:160 [file_find_decoder]: Probing

file:///home/ill/Music/Buddha-Bar%20%28CD%20Series%29/Buddha%20Bar%20-%20Living%20Theater%20Vol.2%20%282001%29/10-%20Paris%2

0All%20Stars%20-%20Voulez%20Vous.mp3.

probe.c:119 [probe_by_scheme]: Probing by scheme.

VFS: <0x1b25800> size = 5661813

probe.c:130 [probe_by_extension]: Probing by extension.

VFS: <0x1b25800> seek to 0 from beginning

probe.c:108 [probe_func_fast]: id3/id3v24.c:160 [validate_header]: Found ID3v2 header:

id3/id3v24.c:161 [validate_header]:  magic = ID3

id3/id3v24.c:162 [validate_header]:  version = 3

id3/id3v24.c:163 [validate_header]:  revision = 0

id3/id3v24.c:164 [validate_header]:  flags = 0

id3/id3v24.c:165 [validate_header]:  size = 4598

id3/id3v24.c:265 [read_header]: Offset = 0, header size = 10, data size = 4598, footer size = 0.

tag_module.c:50 [find_tag_module]: Module ID3v2.3/4 accepted file.

id3/id3v24.c:160 [validate_header]: Found ID3v2 header:

id3/id3v24.c:161 [validate_header]:  magic = ID3

id3/id3v24.c:162 [validate_header]:  version = 3

id3/id3v24.c:163 [validate_header]:  revision = 0

March 13, 2024 4/8



id3/id3v24.c:164 [validate_header]:  flags = 0

id3/id3v24.c:165 [validate_header]: Guessing MPG123 Plugin.

size = 4598

id3/id3v24.c:265 [read_header]: Offset = 0, header size = 10, data size = 4598, footer size = 0.

id3/id3v24.c:311 [read_frame]: probe.c:188 [file_find_decoder]: Found frame:

id3/id3v24.c:312 [read_frame]:  key = TIT2

id3/id3v24.c:313 [read_frame]:  size = 12

id3/id3v24.c:314 [read_frame]:  flags = 0

id3/id3v24.c:342 [read_frame]: Data size = 12.

id3/id3v24.c:311 [read_frame]: Found frame:

id3/id3v24.c:312 [read_frame]:  key = TRCK

id3/id3v24.c:313 [read_frame]:  size = 3

id3/id3v24.c:314 [read_frame]:  flags = 0

id3/id3v24.c:342 [read_frame]: Data size = 3.

id3/id3v24.c:311 [read_frame]: Found frame:

id3/id3v24.c:312 [read_frame]:  key = TYER

id3/id3v24.c:313 [read_frame]:  size = 5

id3/id3v24.c:314 [read_frame]:  flags = 0

id3/id3v24.c:342 [read_frame]: Data size = 5.

id3/id3v24.c:311 [read_frame]: Found frame:

id3/id3v24.c:312 [read_frame]:  key = TPUB

id3/id3v24.c:313 [read_frame]:  size = 9

id3/id3v24.c:314 [read_frame]:  flags = 0

id3/id3v24.c:342 [read_frame]: Data size = 9.

id3/id3v24.c:311 [read_frame]: Found frame:

id3/id3v24.c:312 [read_frame]:  key = TCON

id3/id3v24.c:313 [read_frame]:  size = 6

id3/id3v24.c:314 [read_frame]:  flags = 0

id3/id3v24.c:342 [read_frame]: Data size = 6.

id3/id3v24.c:311 [read_frame]: Found frame:

id3/id3v24.c:312 [read_frame]:  key = TALB

id3/id3v24.c:313 [read_frame]:  size = 33

id3/id3v24.c:314 [read_frame]:  flags = 0

id3/id3v24.c:342 [read_frame]: Data size = 33.

id3/id3v24.c:311 [read_frame]: Found frame:

id3/id3v24.c:312 [read_frame]:  key = PRIV

id3/id3v24.c:313 [read_frame]:  size = 39

id3/id3v24.c:314 [read_frame]:  flags = 0

id3/id3v24.c:342 [read_frame]: Data size = 39.

id3/id3v24.c:311 [read_frame]: Found frame:

id3/id3v24.c:312 [read_frame]:  key = PRIV

id3/id3v24.c:313 [read_frame]:  size = 41

id3/id3v24.c:314 [read_frame]:  flags = 0

id3/id3v24.c:342 [read_frame]: Data size = 41.

id3/id3v24.c:311 [read_frame]: Found frame:

id3/id3v24.c:312 [read_frame]:  key = PRIV

id3/id3v24.c:313 [read_frame]:  size = 31

id3/id3v24.c:314 [read_frame]:  flags = 0

id3/id3v24.c:342 [read_frame]: Data size = 31.

id3/id3v24.c:311 [read_frame]: Found frame:

id3/id3v24.c:312 [read_frame]:  key = PRIV

id3/id3v24.c:313 [read_frame]:  size = 122

id3/id3v24.c:314 [read_frame]:  flags = 0

Probe succeeded: MPG123 Plugin

id3/id3v24.c:342 [read_frame]: Data size = 122.

id3/id3v24.c:311 [read_frame]: Found frame:

id3/id3v24.c:312 [read_frame]:  key = TPE2

id3/id3v24.c:313 [read_frame]:  size = 16

id3/id3v24.c:314 [read_frame]:  flags = 0

id3/id3v24.c:342 [read_frame]: Data size = 16.

id3/id3v24.c:311 [read_frame]: Found frame:

id3/id3v24.c:312 [read_frame]:  key = PRIV

id3/id3v24.c:313 [read_frame]:  size = 34

id3/id3v24.c:314 [read_frame]:  flags = 0

id3/id3v24.c:342 [read_frame]: Data size = 34.

id3/id3v24.c:311 [read_frame]: Found frame:

VFS: (last message repeated 2 times)

VFS: <0x1a32320> open (mode r)

file:///home/ill/Music/Buddha-Bar%20%28CD%20Series%29/Buddha%20Bar%20-%20Living%20Theater%20Vol.2%20%282001%29/10-%20Paris%2

0All%20Stars%20-%20Voulez%20Vous.mp3

id3/id3v24.c:312 [read_frame]:  key = PRIV

id3/id3v24.c:313 [read_frame]: mpg123.c:270 [mpg123_playback_worker]: playback worker started for

file:///home/ill/Music/Buddha-Bar%20%28CD%20Series%29/Buddha%20Bar%20-%20Living%20Theater%20Vol.2%20%282001%29/10-%20Paris%2

0All%20Stars%20-%20Voulez%20Vous.mp3

mpg123.c:273 [mpg123_playback_worker]: Checking for streaming ...
size = 39

id3/id3v24.c:314 [read_frame]:  flags = 0

id3/id3v24.c:342 [read_frame]: Data size = 39.

id3/id3v24.c:311 [read_frame]: Found frame:

id3/id3v24.c:312 [read_frame]:  key = PRIV

id3/id3v24.c:313 [read_frame]:  size = 20

id3/id3v24.c:314 [read_frame]:  flags = 0

id3/id3v24.c:342 [read_frame]: Data size = 20.

id3/id3v24.c:311 [read_frame]: Found frame:

id3/id3v24.c:312 [read_frame]:  key = TCOM

id3/id3v24.c:313 [read_frame]:  size = 18

id3/id3v24.c:314 [read_frame]:  flags = 0

id3/id3v24.c:342 [read_frame]: Data size = 18.

id3/id3v24.c:311 [read_frame]: Found frame:

id3/id3v24.c:312 [read_frame]:  key = TPE1

id3/id3v24.c:313 [read_frame]:  size = 16

id3/id3v24.c:314 [read_frame]:  flags = 0

id3/id3v24.c:342 [read_frame]: Data size = 16.

VFS: <0x1a32320> size = 5661813

VFS: <0x1b25800> close

VFS: <0x1a32320> seek to 0 from end

VFS: <0x1a32320> tell = 5661813

VFS: <0x1a32320> seek to -128 from end

VFS: <0x1a32320> tell = 5661685

VFS: <0x1a32320> seek to 0 from beginning

VFS: <0x1a32320> tell = 0

VFS: <0x1a32320> seek to 413 from current

VFS: <0x1a32320> tell = 5025

VFS: <0x1a32320> seek to -417 from current

VFS: <0x1a32320> tell = 4612

effect.c:70 [effect_start]: Starting effects.

output.c:383 [output_set_replaygain_info]: Replay Gain info:

output.c:384 [output_set_replaygain_info]:  album gain: 1.000000 dB

output.c:385 [output_set_replaygain_info]:  album peak: 1.000000

output.c:386 [output_set_replaygain_info]:  track gain: 1.000000 dB

output.c:387 [output_set_replaygain_info]:  track peak: 1.000000

#3 - November 30, 2014 04:34 - il lumilore

- File output.txt added
Okay I guess the site didn't like that formatting and crossed stuff out. Here is when it happens as a txt file. The file it skipped was new york city.

#4 - November 30, 2014 06:56 - John Lindgren

- File mpg123-debug.diff added

Nothing looks wrong in the log.  You are building from source, right?  Can you apply the attached debugging patch to the mpg123 plugin, rebuild, and

log the new output?

#5 - November 30, 2014 06:56 - John Lindgren

- File deleted (mpg123-debug.diff)

#6 - November 30, 2014 06:57 - John Lindgren

- File mpg123-debug.diff added

Updated debug patch.

#7 - November 30, 2014 08:39 - il lumilore

- File mpg123 added

#8 - November 30, 2014 08:46 - il lumilore

that's after I did 'make clean', then 'patch < mpg123-debug.diff', then configure, make, make install to a user directory. The two that skipped in the

verbose log was wath is this and hymn to moon.

#9 - November 30, 2014 14:36 - John Lindgren

That helps.  The mpg123 plugin is working right, but for some reason it is being told to seek to the end of the song.  We need to figure out where the

seek request is coming from.  Can you apply another debug patch?  This one is for audacious/src/audacious/playback.c.

#10 - November 30, 2014 14:37 - John Lindgren

- File playback-debug.diff added

#11 - November 30, 2014 20:29 - il lumilore

- File seeklog.txt added

#12 - November 30, 2014 21:07 - il lumilore

I think I figured it out. It is kde5's plasmashell. I killed it and audacious doesn't skip.

#13 - December 01, 2014 01:37 - John Lindgren

Should this bug report be closed, then?

#14 - December 01, 2014 02:21 - il lumilore

Probably? I guess plasma 5's system tray media controller widget thing is broken and apparently telling audacious to seek to the end of a song after

its finished, so it's not audacious. I can't tell if this is audacious only or happens in other media players because amarok locks up or crashes before I

can properly test it, banshee never plays anything, clementine doesn't have the ability to be controlled by the media widget, the widget never shows

up for movie players of any kind.

#15 - December 01, 2014 07:08 - John Lindgren
- Status changed from New to Rejected

il lumilore wrote:

... I can't tell if this is audacious only or happens in other media players because amarok locks up or crashes before I can properly test it,

banshee never plays anything, clementine doesn't have the ability to be controlled by the media widget ...

 

Dang, you certainly have bad luck with music players. :(

Files

output.txt 13.4 KBNovember 30, 2014 il lumilore

mpg123-debug.diff 1.78 KBNovember 30, 2014 John Lindgren

mpg123 62.8 KBNovember 30, 2014 il lumilore

playback-debug.diff 2.56 KBNovember 30, 2014 John Lindgren

seeklog.txt 47.7 KBNovember 30, 2014 il lumilore
